Bug 517903 - Add -no-kvm-pit-reinject in qemu cmdline for RHEL guests
Summary: Add -no-kvm-pit-reinject in qemu cmdline for RHEL guests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt
Version: 5.4
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Daniel Veillard
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 517278
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-17 19:28 UTC by RHEL Product and Program Management
Modified: 2013-01-09 21:52 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-02 13:59:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1424 normal SHIPPED_LIVE libvirt bug fix update 2009-09-02 13:59:35 UTC

Description RHEL Product and Program Management 2009-08-17 19:28:43 UTC
This bug has been copied from bug #517278 and has been proposed
to be backported to 5.4 z-stream (EUS).

Comment 3 Daniel Veillard 2009-08-18 12:46:38 UTC
libvirt-0.6.3-20.1.el5_4 has been built in RHEL-5.4-Z-candidate with the fix,

Daniel

Comment 6 Nan Zhang 2009-08-25 10:45:36 UTC
Verified with libvirt 0.6.3-20.1.el5_4 on RHEL-5.4:
1. Do not allow C2 state - "processor.max_cstate=1" as a host kernel boot option.
2. Add lpj=n for Linux guest kernel cmdLine.
3. Make sure something on host (No cpufreq & No c2 state):
[root@dhcp-66-70-85 ~]# cat /sys/devices/system/cpu/cpu0/cpufreq/scaling_max_freq
2700000
[root@dhcp-66-70-85 ~]# grep MHz /proc/cpuinfo
cpu MHz         : 2700.000
cpu MHz         : 2700.000
[root@dhcp-66-70-85 ~]# cat /proc/cmdline
ro root=LABEL=/1 rhgb quiet processor.max_cstate=1
[root@dhcp-66-70-85 ~]# ps -ef | grep qemu-kvm
root      3632     1 42 17:12 ?        00:00:05 /usr/libexec/qemu-kvm -S -M pc -m 1024 -smp 1 -name rhel5u4 -uuid 1dcad2df-2b66-d69c-5387-ecba73400988 -no-kvm-pit-reinjection -monitor pty -pidfile /var/run/libvirt/qemu//rhel5u4.pid -boot c -drive file=/var/lib/libvirt/images/rhel5u4-kvm.img,if=ide,index=0,boot=on -net nic,macaddr=00:f2:31:87:56:28,vlan=0,model=rtl8139 -net  tap,fd=15,script=,vlan=0,ifname=vnet0 -serial none -parallel none -usb -vnc 127.0.0.1:1 -k en-us
root      3661     1 41 17:12 ?        00:00:04 /usr/libexec/qemu-kvm -S -M pc -m 512 -smp 1 -name foo -uuid 5e983093-499b-562b-b446-102a2aeeb217 -no-kvm-pit-reinjection -monitor pty -pidfile /var/run/libvirt/qemu//foo.pid -boot c -drive file=/var/lib/libvirt/images/foo.img,if=ide,index=0,boot=on -net nic,macaddr=54:52:00:4e:3e:1a,vlan=0 -net tap,fd=17,script=,vlan=0,ifname=vnet1 -serial pty -parallel none -usb -vnc 127.0.0.1:2 -k en-us
[root@dhcp-66-70-85 ~]# cat /sys/devices/system/clocksource/clocksource0/current_clocksource
jiffies

4. Run a 100% cpu task on each cpu in 1 hour.
      Begin time   End time
Host:   09:20:03 - 10:21:26
Guest1: 09:20:01 - 10:21:23
Guest2: 09:20:02 - 10:21:27

As the results show there is a tiny clock skew in the guests. That seems acceptable. So move this bug to VERIFIED.

Comment 8 errata-xmlrpc 2009-09-02 13:59:38 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1424.html


Note You need to log in before you can comment on or make changes to this bug.